Bug 134309 - Add method to JDBCDriver to get the underlying driver class
Add method to JDBCDriver to get the underlying driver class
Status: VERIFIED FIXED
Product: db
Classification: Unclassified
Component: Code
6.x
All All
: P2 (vote)
: 6.x
Assigned To: David Vancouvering
issues@db
: API, API_REVIEW_FAST, PLAN
Depends on:
Blocks: 134193
  Show dependency treegraph
 
Reported: 2008-05-01 01:29 UTC by David Vancouvering
Modified: 2008-07-29 14:23 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed patch for this API change. Passes tests. (8.46 KB, patch)
2008-06-28 00:55 UTC, David Vancouvering
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Vancouvering 2008-05-01 01:29:34 UTC
Right now you have to build your own classloader using the jar file(s) for the registered driver to get access to the
driver class (see db.mysql for an example).
Comment 1 David Vancouvering 2008-06-28 00:55:51 UTC
Created attachment 63632 [details]
Proposed patch for this API change.  Passes tests.
Comment 2 David Vancouvering 2008-06-28 00:56:36 UTC
Please review proposed change (patch attached) to add this method
Comment 3 Andrei Badea 2008-07-09 13:23:41 UTC
API looks fine.
Comment 4 David Vancouvering 2008-07-10 17:59:23 UTC
Ready for integration
Comment 5 David Vancouvering 2008-07-10 17:59:38 UTC
http://hg.netbeans.org/main?cmd=changeset;node=243643f7d404
Comment 6 Roman Mostyka 2008-07-14 19:22:44 UTC
Verified with build 080714.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo